## AgsLFOSynthUtil

AgsLFOSynthUtil — low frequency oscillator synth util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsLFOSynthUtil * | ags_lfo_synth_util_alloc ()
gpointer | ags_lfo_synth_util_copy ()
void | ags_lfo_synth_util_free ()
gpointer | ags_lfo_synth_util_get_source ()
void | ags_lfo_synth_util_set_source ()
guint | ags_lfo_synth_util_get_source_stride ()
void | ags_lfo_synth_util_set_source_stride ()
guint | ags_lfo_synth_util_get_buffer_length ()
void | ags_lfo_synth_util_set_buffer_length ()
AgsSoundcardFormat | ags_lfo_synth_util_get_format ()
void | ags_lfo_synth_util_set_format ()
guint | ags_lfo_synth_util_get_samplerate ()
void | ags_lfo_synth_util_set_samplerate ()
AgsSynthOscillatorMode | ags_lfo_synth_util_get_lfo_synth_oscillator_mode ()
void | ags_lfo_synth_util_set_lfo_synth_oscillator_mode ()
gdouble | ags_lfo_synth_util_get_frequency ()
void | ags_lfo_synth_util_set_frequency ()
gdouble | ags_lfo_synth_util_get_phase ()
void | ags_lfo_synth_util_set_phase ()
gdouble | ags_lfo_synth_util_get_lfo_depth ()
void | ags_lfo_synth_util_set_lfo_depth ()
gdouble | ags_lfo_synth_util_get_tuning ()
void | ags_lfo_synth_util_set_tuning ()
guint | ags_lfo_synth_util_get_offset ()
void | ags_lfo_synth_util_set_offset ()
guint | ags_lfo_synth_util_get_frame_count ()
void | ags_lfo_synth_util_set_frame_count ()
gboolean | ags_lfo_synth_util_get_note_256th_mode ()
void | ags_lfo_synth_util_set_note_256th_mode ()
guint | ags_lfo_synth_util_get_offset_256th ()
void | ags_lfo_synth_util_set_offset_256th ()
void | ags_lfo_synth_util_compute_sin_s8 ()
void | ags_lfo_synth_util_compute_sin_s16 ()
void | ags_lfo_synth_util_compute_sin_s24 ()
void | ags_lfo_synth_util_compute_sin_s32 ()
void | ags_lfo_synth_util_compute_sin_s64 ()
void | ags_lfo_synth_util_compute_sin_float ()
void | ags_lfo_synth_util_compute_sin_double ()
void | ags_lfo_synth_util_compute_sin_complex ()
void | ags_lfo_synth_util_compute_sin ()
void | ags_lfo_synth_util_compute_sawtooth_s8 ()
void | ags_lfo_synth_util_compute_sawtooth_s16 ()
void | ags_lfo_synth_util_compute_sawtooth_s24 ()
void | ags_lfo_synth_util_compute_sawtooth_s32 ()
void | ags_lfo_synth_util_compute_sawtooth_s64 ()
void | ags_lfo_synth_util_compute_sawtooth_float ()
void | ags_lfo_synth_util_compute_sawtooth_double ()
void | ags_lfo_synth_util_compute_sawtooth_complex ()
void | ags_lfo_synth_util_compute_sawtooth ()
void | ags_lfo_synth_util_compute_triangle_s8 ()
void | ags_lfo_synth_util_compute_triangle_s16 ()
void | ags_lfo_synth_util_compute_triangle_s24 ()
void | ags_lfo_synth_util_compute_triangle_s32 ()
void | ags_lfo_synth_util_compute_triangle_s64 ()
void | ags_lfo_synth_util_compute_triangle_float ()
void | ags_lfo_synth_util_compute_triangle_double ()
void | ags_lfo_synth_util_compute_triangle_complex ()
void | ags_lfo_synth_util_compute_triangle ()
void | ags_lfo_synth_util_compute_square_s8 ()
void | ags_lfo_synth_util_compute_square_s16 ()
void | ags_lfo_synth_util_compute_square_s24 ()
void | ags_lfo_synth_util_compute_square_s32 ()
void | ags_lfo_synth_util_compute_square_s64 ()
void | ags_lfo_synth_util_compute_square_float ()
void | ags_lfo_synth_util_compute_square_double ()
void | ags_lfo_synth_util_compute_square_complex ()
void | ags_lfo_synth_util_compute_square ()
void | ags_lfo_synth_util_compute_impulse_s8 ()
void | ags_lfo_synth_util_compute_impulse_s16 ()
void | ags_lfo_synth_util_compute_impulse_s24 ()
void | ags_lfo_synth_util_compute_impulse_s32 ()
void | ags_lfo_synth_util_compute_impulse_s64 ()
void | ags_lfo_synth_util_compute_impulse_float ()
void | ags_lfo_synth_util_compute_impulse_double ()
void | ags_lfo_synth_util_compute_impulse_complex ()
void | ags_lfo_synth_util_compute_impulse ()

## Types and Values

#define | AGS_LFO_SYNTH_UTIL_DEFAULT_FREQUENCY
#define | AGS_LFO_SYNTH_UTIL_DEFAULT_LFO_DEPTH
#define | AGS_LFO_SYNTH_UTIL_DEFAULT_TUNING
#define | AGS_LFO_SYNTH_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsLFOSynthUtil

## Includes

    #include <ags/audio/ags_lfo_synth_util.h>

## Description

Utility functions to compute LFO synths.

## Functions

### ags_lfo_synth_util_alloc ()

    AgsLFOSynthUtil *
    ags_lfo_synth_util_alloc ();

Allocate AgsLFOSynthUtil

#### Returns

a new AgsLFOSynthUtil

Since: 4.0.0

### ags_lfo_synth_util_copy ()

    gpointer
    ags_lfo_synth_util_copy (AgsLFOSynthUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsLFOSynthUtil |

#### Returns

a pointer of the new AgsLFOSynthUtil

Since: 4.0.0

### ags_lfo_synth_util_free ()

    void
    ags_lfo_synth_util_free (AgsLFOSynthUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_get_source ()

    gpointer
    ags_lfo_synth_util_get_source (AgsLFOSynthUtil *lfo_synth_util);

Get source buffer of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the source buffer

Since: 4.0.0

### ags_lfo_synth_util_set_source ()

    void
    ags_lfo_synth_util_set_source (AgsLFOSynthUtil *lfo_synth_util,
                                   gpointer source);

Set `source` buffer of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
source | the source buffer. | [transfer none]

Since: 4.0.0

### ags_lfo_synth_util_get_source_stride ()

    guint
    ags_lfo_synth_util_get_source_stride (AgsLFOSynthUtil *lfo_synth_util);

Get source stride of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the source buffer stride

Since: 4.0.0

### ags_lfo_synth_util_set_source_stride ()

    void
    ags_lfo_synth_util_set_source_stride (AgsLFOSynthUtil *lfo_synth_util,
                                          guint source_stride);

Set `source` stride of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
source_stride | the source buffer stride |

Since: 4.0.0

### ags_lfo_synth_util_get_buffer_length ()

    guint
    ags_lfo_synth_util_get_buffer_length (AgsLFOSynthUtil *lfo_synth_util);

Get buffer length of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the buffer length

Since: 4.0.0

### ags_lfo_synth_util_set_buffer_length ()

    void
    ags_lfo_synth_util_set_buffer_length (AgsLFOSynthUtil *lfo_synth_util,
                                          guint buffer_length);

Set `buffer_length` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
buffer_length | the buffer length |

Since: 4.0.0

### ags_lfo_synth_util_get_format ()

    AgsSoundcardFormat
    ags_lfo_synth_util_get_format (AgsLFOSynthUtil *lfo_synth_util);

Get audio buffer util format of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the audio buffer util format

Since: 3.14.0

### ags_lfo_synth_util_set_format ()

    void
    ags_lfo_synth_util_set_format (AgsLFOSynthUtil *lfo_synth_util,
                                   AgsSoundcardFormat format);

Set `format` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
format | the audio buffer util format |

Since: 3.14.0

### ags_lfo_synth_util_get_samplerate ()

    guint
    ags_lfo_synth_util_get_samplerate (AgsLFOSynthUtil *lfo_synth_util);

Get samplerate of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the samplerate

Since: 4.0.0

### ags_lfo_synth_util_set_samplerate ()

    void
    ags_lfo_synth_util_set_samplerate (AgsLFOSynthUtil *lfo_synth_util,
                                       guint samplerate);

Set `samplerate` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
samplerate | the samplerate |

Since: 4.0.0

### ags_lfo_synth_util_get_lfo_synth_oscillator_mode ()

    AgsSynthOscillatorMode
    ags_lfo_synth_util_get_lfo_synth_oscillator_mode
                                   (AgsLFOSynthUtil *lfo_synth_util);

Get LFO synth oscillator mode of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the LFO synth oscillator mode

Since: 4.0.0

### ags_lfo_synth_util_set_lfo_synth_oscillator_mode ()

    void
    ags_lfo_synth_util_set_lfo_synth_oscillator_mode
                                   (AgsLFOSynthUtil *lfo_synth_util,
                                    AgsSynthOscillatorMode lfo_synth_oscillator_mode);

Set `lfo_synth_oscillator_mode` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
lfo_synth_oscillator_mode | the LFO synth oscillator mode |

Since: 4.0.0

### ags_lfo_synth_util_get_frequency ()

    gdouble
    ags_lfo_synth_util_get_frequency (AgsLFOSynthUtil *lfo_synth_util);

Get frequency of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the frequency

Since: 4.0.0

### ags_lfo_synth_util_set_frequency ()

    void
    ags_lfo_synth_util_set_frequency (AgsLFOSynthUtil *lfo_synth_util,
                                      gdouble frequency);

Set `frequency` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
frequency | the frequency |

Since: 4.0.0

### ags_lfo_synth_util_get_phase ()

    gdouble
    ags_lfo_synth_util_get_phase (AgsLFOSynthUtil *lfo_synth_util);

Get phase of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the phase

Since: 4.0.0

### ags_lfo_synth_util_set_phase ()

    void
    ags_lfo_synth_util_set_phase (AgsLFOSynthUtil *lfo_synth_util,
                                  gdouble phase);

Set `phase` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
phase | the phase |

Since: 4.0.0

### ags_lfo_synth_util_get_lfo_depth ()

    gdouble
    ags_lfo_synth_util_get_lfo_depth (AgsLFOSynthUtil *lfo_synth_util);

Get LFO depth of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the LFO depth

Since: 4.0.0

### ags_lfo_synth_util_set_lfo_depth ()

    void
    ags_lfo_synth_util_set_lfo_depth (AgsLFOSynthUtil *lfo_synth_util,
                                      gdouble lfo_depth);

Set `lfo_depth` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
lfo_depth | the LFO depth |

Since: 4.0.0

### ags_lfo_synth_util_get_tuning ()

    gdouble
    ags_lfo_synth_util_get_tuning (AgsLFOSynthUtil *lfo_synth_util);

Get tuning of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the tuning

Since: 4.0.0

### ags_lfo_synth_util_set_tuning ()

    void
    ags_lfo_synth_util_set_tuning (AgsLFOSynthUtil *lfo_synth_util,
                                   gdouble tuning);

Set `tuning` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
tuning | the tuning |

Since: 4.0.0

### ags_lfo_synth_util_get_offset ()

    guint
    ags_lfo_synth_util_get_offset (AgsLFOSynthUtil *lfo_synth_util);

Get offset of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the offset

Since: 4.0.0

### ags_lfo_synth_util_set_offset ()

    void
    ags_lfo_synth_util_set_offset (AgsLFOSynthUtil *lfo_synth_util,
                                   guint offset);

Set `offset` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
offset | the offset |

Since: 4.0.0

### ags_lfo_synth_util_get_frame_count ()

    guint
    ags_lfo_synth_util_get_frame_count (AgsLFOSynthUtil *lfo_synth_util);

Get frame count of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the frame count

Since: 4.0.0

### ags_lfo_synth_util_set_frame_count ()

    void
    ags_lfo_synth_util_set_frame_count (AgsLFOSynthUtil *lfo_synth_util,
                                        guint frame_count);

Set `frame_count` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
frame_count | the frame count |

Since: 4.0.0

### ags_lfo_synth_util_get_note_256th_mode ()

    gboolean
    ags_lfo_synth_util_get_note_256th_mode
                                   (AgsLFOSynthUtil *lfo_synth_util);

Get note 256th mode of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

`TRUE` if note 256th mode, otherwise `FALSE`

Since: 7.0.0

### ags_lfo_synth_util_set_note_256th_mode ()

    void
    ags_lfo_synth_util_set_note_256th_mode
                                   (AgsLFOSynthUtil *lfo_synth_util,
                                    gboolean note_256th_mode);

Set `note_256th_mode` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
note_256th_mode | the note 256th mode |

Since: 7.0.0

### ags_lfo_synth_util_get_offset_256th ()

    guint
    ags_lfo_synth_util_get_offset_256th (AgsLFOSynthUtil *lfo_synth_util);

Get offset as note 256th of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

#### Returns

the offset as note 256th

Since: 7.0.0

### ags_lfo_synth_util_set_offset_256th ()

    void
    ags_lfo_synth_util_set_offset_256th (AgsLFOSynthUtil *lfo_synth_util,
                                         guint offset_256th);

Set `offset_256th` of `lfo_synth_util` .

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |
offset_256th | the offset as note 256th |

Since: 7.0.0

### ags_lfo_synth_util_compute_sin_s8 ()

    void
    ags_lfo_synth_util_compute_sin_s8 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sine synth of signed 8 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sin_s16 ()

    void
    ags_lfo_synth_util_compute_sin_s16 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sine synth of signed 16 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sin_s24 ()

    void
    ags_lfo_synth_util_compute_sin_s24 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sine synth of signed 24 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sin_s32 ()

    void
    ags_lfo_synth_util_compute_sin_s32 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sine synth of signed 32 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sin_s64 ()

    void
    ags_lfo_synth_util_compute_sin_s64 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sine synth of signed 64 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sin_float ()

    void
    ags_lfo_synth_util_compute_sin_float (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sine synth of single precision floating point data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sin_double ()

    void
    ags_lfo_synth_util_compute_sin_double (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sine synth of double precision floating point data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sin_complex ()

    void
    ags_lfo_synth_util_compute_sin_complex
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sine synth of complex data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sin ()

    void
    ags_lfo_synth_util_compute_sin (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sine synth.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sawtooth_s8 ()

    void
    ags_lfo_synth_util_compute_sawtooth_s8
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sawtooth synth of signed 8 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sawtooth_s16 ()

    void
    ags_lfo_synth_util_compute_sawtooth_s16
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sawtooth synth of signed 16 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sawtooth_s24 ()

    void
    ags_lfo_synth_util_compute_sawtooth_s24
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sawtooth synth of signed 24 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sawtooth_s32 ()

    void
    ags_lfo_synth_util_compute_sawtooth_s32
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sawtooth synth of signed 32 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sawtooth_s64 ()

    void
    ags_lfo_synth_util_compute_sawtooth_s64
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sawtooth synth of signed 64 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sawtooth_float ()

    void
    ags_lfo_synth_util_compute_sawtooth_float
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sawtooth synth of single precision floating point data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sawtooth_double ()

    void
    ags_lfo_synth_util_compute_sawtooth_double
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sawtooth synth of double precision floating point data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sawtooth_complex ()

    void
    ags_lfo_synth_util_compute_sawtooth_complex
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sawtooth synth of complex data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_sawtooth ()

    void
    ags_lfo_synth_util_compute_sawtooth (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO sawtooth synth.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_triangle_s8 ()

    void
    ags_lfo_synth_util_compute_triangle_s8
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO triangle synth of signed 8 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_triangle_s16 ()

    void
    ags_lfo_synth_util_compute_triangle_s16
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO triangle synth of signed 16 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_triangle_s24 ()

    void
    ags_lfo_synth_util_compute_triangle_s24
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO triangle synth of signed 24 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_triangle_s32 ()

    void
    ags_lfo_synth_util_compute_triangle_s32
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO triangle synth of signed 32 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_triangle_s64 ()

    void
    ags_lfo_synth_util_compute_triangle_s64
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO triangle synth of signed 64 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_triangle_float ()

    void
    ags_lfo_synth_util_compute_triangle_float
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO triangle synth of single precision floating point data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_triangle_double ()

    void
    ags_lfo_synth_util_compute_triangle_double
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO triangle synth of double precision floating point data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_triangle_complex ()

    void
    ags_lfo_synth_util_compute_triangle_complex
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO triangle synth of complex data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_triangle ()

    void
    ags_lfo_synth_util_compute_triangle (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO triangle synth.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_square_s8 ()

    void
    ags_lfo_synth_util_compute_square_s8 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO square synth of signed 8 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_square_s16 ()

    void
    ags_lfo_synth_util_compute_square_s16 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO square synth of signed 16 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_square_s24 ()

    void
    ags_lfo_synth_util_compute_square_s24 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO square synth of signed 24 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_square_s32 ()

    void
    ags_lfo_synth_util_compute_square_s32 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO square synth of signed 32 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_square_s64 ()

    void
    ags_lfo_synth_util_compute_square_s64 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO square synth of signed 64 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_square_float ()

    void
    ags_lfo_synth_util_compute_square_float
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO square synth of single precision floating point data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_square_double ()

    void
    ags_lfo_synth_util_compute_square_double
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO square synth of double precision floating point data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_square_complex ()

    void
    ags_lfo_synth_util_compute_square_complex
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO square synth of complex data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_square ()

    void
    ags_lfo_synth_util_compute_square (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO square synth.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_impulse_s8 ()

    void
    ags_lfo_synth_util_compute_impulse_s8 (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO impulse synth of signed 8 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_impulse_s16 ()

    void
    ags_lfo_synth_util_compute_impulse_s16
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO impulse synth of signed 16 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_impulse_s24 ()

    void
    ags_lfo_synth_util_compute_impulse_s24
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO impulse synth of signed 24 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_impulse_s32 ()

    void
    ags_lfo_synth_util_compute_impulse_s32
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO impulse synth of signed 32 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_impulse_s64 ()

    void
    ags_lfo_synth_util_compute_impulse_s64
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO impulse synth of signed 64 bit data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_impulse_float ()

    void
    ags_lfo_synth_util_compute_impulse_float
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO impulse synth of single precision floating point data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_impulse_double ()

    void
    ags_lfo_synth_util_compute_impulse_double
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO impulse synth of double precision floating point data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_impulse_complex ()

    void
    ags_lfo_synth_util_compute_impulse_complex
                                   (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO impulse synth of complex data.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

### ags_lfo_synth_util_compute_impulse ()

    void
    ags_lfo_synth_util_compute_impulse (AgsLFOSynthUtil *lfo_synth_util);

Compute LFO impulse synth.

#### Parameters

lfo_synth_util | the AgsLFOSynthUtil |

Since: 4.0.0

## Types and Values

### AGS_LFO_SYNTH_UTIL_DEFAULT_FREQUENCY

    #define AGS_LFO_SYNTH_UTIL_DEFAULT_FREQUENCY (12.0)

### AGS_LFO_SYNTH_UTIL_DEFAULT_LFO_DEPTH

    #define AGS_LFO_SYNTH_UTIL_DEFAULT_LFO_DEPTH (0.0)

### AGS_LFO_SYNTH_UTIL_DEFAULT_TUNING

    #define AGS_LFO_SYNTH_UTIL_DEFAULT_TUNING (0.0)

### AGS_LFO_SYNTH_UTIL_INITIALIZER

    #define             AGS_LFO_SYNTH_UTIL_INITIALIZER